////////////////////////////////////////////////////////////////////////////////
//
//
//  FileName    :   SUISkin_TNT.pas
//  Creator     :   Shen Min
//  Date        :   2007-07-12
//  Comment     :   SUISkin for TNT support
//
//  Copyright (c) 2002-2007 Sunisoft
//  http://www.sunisoft.com
//  Email: support@sunisoft.com
//
////////////////////////////////////////////////////////////////////////////////
//
//  How to use:
//      Please add this unit to the "uses" clause of the unit where you
//  also inlcuded SUISkinEngine unit. And add this unit after SUISkinEngine.
//
//  E.g.
//
//  unit test;
//  interface
//  uses ..., SUISkinEngine, SUISkin_TNT;
//  ...
//  ...

unit SUISkin_TNT;

interface

uses TntComCtrls, TntDialogs, SUISkinEngine, SUISkinStdCtrl;

type
    TsuiSkinTNTTabControl = class(TsuiSkinTabControl)
    protected
        function GetTextForTNT(Id : Integer) : WideString; override;
    end;

    TsuiSkinTNTPageControl = class(TsuiSkinTabControl)
    protected
        function GetTextForTNT(Id : Integer) : WideString; override;
    end;

    // You need to call "BeforeShowingDialog()" procedure in OnShow event
    // of a TntOpenDialog/TntSaveDialog/TntOpenPictureDialog/TntSavePictureDialog
    // if the Title property of a dialog component requires UNICODE support
    // 
    // E.g.
    //    procedure TForm1.TntOpenDialog1Show(Sender: TObject);
    //    begin
    //        BeforeShowingDialog(TntOpenDialog1);
    //    end;

    procedure BeforeShowingDialog(dlg : TTntOpenDialog);

const
    SUISKIN_TNT_DEF   : array [0 .. 1] of TsuiSkinCtrlVCLDef = (
        (CtrlClass : TTntTabControl;
         SkinCtrlClass : TsuiSkinTNTTabControl),
        (CtrlClass : TTntPageControl;
         SkinCtrlClass : TsuiSkinTNTPageControl)
    );


implementation

procedure RegisterToSUISkinEngine();
begin
    RegisterSkinControlClass(SUISKIN_TNT_DEF);
end;

procedure BeforeShowingDialog(dlg : TTntOpenDialog);
begin
    g_DlgTitle := dlg.Title;
end;

{ TsuiSkinTNTTabControl }

function TsuiSkinTNTTabControl.GetTextForTNT(Id: Integer): WideString;
begin
    Result := TTntTabControl(m_Control).Tabs[Id];
end;

{ TsuiSkinTNTPageControl }

function TsuiSkinTNTPageControl.GetTextForTNT(Id: Integer): WideString;
begin
    Result := TTntTabSheet(TTntPageControl(m_Control).Pages[Id]).Caption;
end;

initialization
    RegisterToSUISkinEngine();

end.
